Echo
           **************** Adoom ver 1.0 Installing ****************
               


......This will take afew minutes
Echo

g trooa1 -e 1.ppm           
g trooa2a8 -e 2.ppm       
g trooa3a7 -e 3.ppm     
g trooa4a6 -e 4.ppm        
g trooa5 -e 5.ppm       
g troob1 -e 6.ppm         
g troob2b8 -e 7.ppm         
g troob3b7 -e 8.ppm         
g troob4b6 -e 9.ppm      
g troob5 -e 10.ppm         
g trooc1 -e 11.ppm         
g trooc2c8 -e 12.ppm            
g trooc3c7 -e 13.ppm          
g trooc4c6 -e 14.ppm           
g trooc5 -e 15.ppm          
g trood1 -e 16.ppm         
g trood2d8 -e 17.ppm        
g trood3d7 -e 18.ppm         
g trood4d6 -e 19.ppm         
g trood5 -e 20.ppm         
g trooe1 -e 21.ppm      
g trooe2e8 -e 22.ppm      
g trooe3e7 -e 23.ppm       
g trooe4e6 -e 24.ppm        
g trooe5 -e 25.ppm         
g troof1 -e 26.ppm         
g troof2f8 -e 27.ppm     
g troof3f7 -e 28.ppm       
g troof4f6 -e 29.ppm       
g troof5 -e 30.ppm             
g troog1 -e 31.ppm         
g troog2g8 -e 32.ppm         
g troog3g7 -e 33.ppm        
g troog4g6 -e 34.ppm       
g troog5 -e 35.ppm       
g trooh1 -e 36.ppm       
g trooh2h8 -e 37.ppm
g trooh3h7 -e 38.ppm
g trooh4h6 -e 39.ppm
g trooh5 -e 40.ppm
g trooI0 -e 41.ppm
g trooJ0 -e 42.ppm
g trooK0 -e 43.ppm
g trooL0 -e 44.ppm
g trooM0 -e 45.ppm
g trooN0 -e 46.ppm
g trooO0 -e 47.ppm
g trooP0 -e 48.ppm
g trooQ0 -e 49.ppm
g trooR0 -e 50.ppm
g trooS0 -e 51.ppm
g trooT0 -e 52.ppm
g trooU0 -e 53.ppm

g trooa1 -s al1.gif           
g trooa2a8 -s al2.gif       
g trooa3a7 -s al3.gif     
g trooa4a6 -s al4.gif        
g trooa5 -s al5.gif       
g troob1 -s al6.gif         
g troob2b8 -s al7.gif         
g troob3b7 -s al8.gif         
g troob4b6 -s al9.gif      
g troob5 -s al10.gif         
g trooc1 -s al11.gif         
g trooc2c8 -s al12.gif            
g trooc3c7 -s al13.gif          
g trooc4c6 -s al14.gif           
g trooc5 -s al15.gif          
g trood1 -s al16.gif         
g trood2d8 -s al17.gif        
g trood3d7 -s al18.gif         
g trood4d6 -s al19.gif         
g trood5 -s al20.gif         
g trooe1 -s al21.gif      
g trooe2e8 -s al22.gif      
g trooe3e7 -s al23.gif       
g trooe4e6 -s al24.gif        
g trooe5 -s al25.gif         
g troof1 -s al26.gif         
g troof2f8 -s al27.gif     
g troof3f7 -s 28.gif       
g troof4f6 -s al29.gif       
g troof5 -s al30.gif             
g troog1 -s al31.gif         
g troog2g8 -s al32.gif         
g troog3g7 -s al33.gif        
g troog4g6 -s 34.gif       
g troog5 -s al35.gif       
g trooh1 -s al36.gif       
g trooh2h8 -s al37.gif
g trooh3h7 -s al38.gif
g trooh4h6 -s al39.gif
g trooh5 -s al40.gif
g trooI0 -s al41.gif
g trooJ0 -s al42.gif
g trooK0 -s al43.gif
g trooL0 -s al44.gif
g trooM0 -s al45.gif
g trooN0 -s al46.gif
g trooO0 -s al47.gif
g trooP0 -s al48.gif
g trooQ0 -s al49.gif
g trooR0 -s al50.gif
g trooS0 -s al51.gif
g trooT0 -s al52.gif
g trooU0 -s al53.gif

@echo off
Echo DOOM with Aliens sounds!
Echo.
if exist doom1.wad goto sharewareversion
if not exist dmaud.exe goto dmauderror
if not exist ??.wav goto waverror
if not exist doom.wad goto waderror
goto start
:sharewareversion
Echo 
Echo ERROR: This is the shareware version of Doom
echo I need the registered version.
goto error
:dmauderror
Echo ERROR: This BAT file needs the DMAUD.EXE file (DOOM AUDIO EDITOR)
goto error
:waverror
echo ERROR: Can't find WAV files.
goto error
:waderror
Echo ERROR: Can't find the DOOM.WAD file.
goto error
:start
Echo.
echo Copying the new sounds to the DOOM.WAD file... (Please wait!)
dmaud 01 -s 01.wav -q
dmaud 02 -s 02.wav -q
dmaud 03 -s 03.wav -q
dmaud 08 -s 08.wav -q
dmaud 09 -s 09.wav -q
dmaud 10 -s 10.wav -q
dmaud 11 -s 11.wav -q
dmaud 12 -s 12.wav -q
dmaud 13 -s 13.wav -q
dmaud 14 -s 14.wav -q
dmaud 15 -s 15.wav -q
dmaud 19 -s 19.wav -q
dmaud 20 -s 20.wav -q
dmaud 21 -s 21.wav -q
dmaud 22 -s 22.wav -q
dmaud 23 -s 23.wav -q
dmaud 24 -s 24.wav -q
dmaud 26 -s 26.wav -q
dmaud 27 -s 27.wav -q
dmaud 28 -s 28.wav -q
dmaud 29 -s 29.wav -q
dmaud 30 -s 30.wav -q
dmaud 31 -s 31.wav -q
dmaud 32 -s 32.wav -q
dmaud 33 -s 33.wav -q
dmaud 34 -s 34.wav -q
dmaud 36 -s 36.wav -q
dmaud 37 -s 37.wav -q
dmaud 38 -s 38.wav -q
dmaud 39 -s 39.wav -q
dmaud 40 -s 40.wav -q
dmaud 41 -s 41.wav -q
dmaud 42 -s 42.wav -q
dmaud 43 -s 43.wav -q
dmaud 44 -s 44.wav -q
dmaud 45 -s 45.wav -q
dmaud 46 -s 46.wav -q
dmaud 48 -s 48.wav -q
dmaud 49 -s 49.wav -q
dmaud 50 -s 50.wav -q
dmaud 51 -s 51.wav -q
dmaud 52 -s 52.wav -q
dmaud 53 -s 53.wav -q
dmaud 55 -s 55.wav -q
dmaud 56 -s 56.wav -q
dmaud 60 -s 60.wav -q
echo Done!
goto end
:error
echo Aborting....
echo.
:end
